using System;
using System.Collections;


namespace DarkStrideToolbox
{
	public class DSNamedPipeTransport : MarshalByRefObject
	{
		#region Properties
		private object m_oObjectBeingTransported = null;
		#endregion

		public DSNamedPipeTransport( object oObjectBeingTransported )
		{
			m_oObjectBeingTransported = oObjectBeingTransported;
		}


		#region Properties
		public object ObjectBeingTransported
		{
			get
			{
				return( m_oObjectBeingTransported );
			}
			set
			{
				m_oObjectBeingTransported = value;
			}
		}
		#endregion
	}
}
